Create Assignment#
Adds an assignment. submission_type is always file. Storage must be configured. Optional assignment_thumbnail (image, max 2 MB) and templates[] (xlsx, doc, docx, ppt, pptx, pdf, svg, xml, png, webp, jpg, jpeg, max 5 MB each). Requires manage-knowledge-hub-assignments.
Bearer token in the format: Bearer {access_token}
Base64 id from the matching list or builder. A raw numeric id is also accepted.
Title. Max 255 characters
enabled, hidden, or locked
Optional instructions
Shown after submit
Optional date
Minimum 1. Ignored when ungraded_assignment is true (score becomes 0). Default 100
When true, max_score is 0
published or draft. Default draft
Optional thumbnail
Optional template files (templates[])
curl --request POST \
--url https://app.rizzdial.com/api/knowledge-hub/categories/MQ==/assignments/create \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Submit notes' \
--form 'comment_status=enabled' \
--form 'status=draft'Assignment created successfully.
Created assignment with base64 id